MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields | Static Public Attributes
DatabasePlugin Struct Reference

`#include <DatabasePlugin.hxx>`

Collaboration diagram for DatabasePlugin:
[legend]

## Public Member Functions
constexpr bool | RequireStorage () const

## Data Fields
const char * | name
unsigned | flags
Database *(* | create )(EventLoop &loop, DatabaseListener &listener, const ConfigBlock &block)
| Allocates and configures a database. More...

## Static Public Attributes
static constexpr unsigned | FLAG_REQUIRE_STORAGE = 0x1
| This plugin requires a Storage instance. More...

## Detailed Description

Definition at line 34 of file DatabasePlugin.hxx.

## Member Function Documentation

constexpr bool DatabasePlugin::RequireStorage | ( |  | ) | const
| inline

Definition at line 53 of file DatabasePlugin.hxx.

## Field Documentation

Database*(* DatabasePlugin::create) (EventLoop &loop, DatabaseListener &listener, const ConfigBlock &block)

Allocates and configures a database.

Throws #std::runtime_error on error.

Definition at line 50 of file DatabasePlugin.hxx.

constexpr unsigned DatabasePlugin::FLAG_REQUIRE_STORAGE = 0x1
| static

This plugin requires a Storage instance.

It contains only cached metadata from files in the Storage.

Definition at line 39 of file DatabasePlugin.hxx.

unsigned DatabasePlugin::flags

Definition at line 43 of file DatabasePlugin.hxx.

const char* DatabasePlugin::name

Definition at line 41 of file DatabasePlugin.hxx.

The documentation for this struct was generated from the following file:

- db/DatabasePlugin.hxx